use rand::prelude::*;
use ring_compat::signature::ed25519::SigningKey;
use tokio::sync::Mutex;
use sqlx::sqlite::SqliteConnection as Connection;

pub struct AppState {
	pub db: Connection,
	pub last_sync: i64,
	pub id: u64,
	pub key: SigningKey,
}

impl AppState {
	pub fn new() -> Self {
		todo!()
		let db = unimplemented!();
		let mut rng = rand::thread_rng();
		let last_sync = i64::MIN;
		let id = rng.r#gen();
		let key = SigningKey::generate(&mut rng);
		AppState {
			db,
			last_sync,
			id,
			key,
		}
	}
}
